#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Library to draw Raph Levien's spiro splines
Summary(pl.UTF-8):	Biblioteka do rysowania splajnów spiro Rapha Leviena
Name:		libspiro
%define	pkgver	1.3.0
%define	pkgdate	20221101
Version:	%{pkgver}.%{pkgdate}
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/fontforge/libspiro/releases
Source0:	https://github.com/fontforge/libspiro/releases/download/%{pkgdate}/%{name}-dist-%{pkgdate}.tar.gz
# Source0-md5:	e5b8cbce8e55b089de96c6ea4c2b5bf6
URL:		https://libspiro.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
Library to draw Raph Levien's spiro splines.

%description -l pl.UTF-8
Biblioteka do rysowania splajnów spiro Rapha Leviena.

%package devel
Summary:	Header files for libspiro library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libspiro
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libspiro library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libspiro.

%package static
Summary:	Static libspiro library
Summary(pl.UTF-8):	Statyczna biblioteka libspiro
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libspiro library.

%description static -l pl.UTF-8
Statyczna biblioteka libspiro.

%prep
%setup -q -n %{name}-%{pkgdate}

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libspiro.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README README-RaphLevien
%attr(755,root,root) %{_libdir}/libspiro.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspiro.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspiro.so
%{_includedir}/bezctx*.h
%{_includedir}/spiro*.h
%{_pkgconfigdir}/libspiro.pc
%{_mandir}/man3/libspiro.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libspiro.a
%endif
%changelog
* Wed Jul 26 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libspiro.git;a=log;h=master

* Wed Jul 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 0ba88f5
- updated to 1.3.0 (20221101)

* Wed Sep 23 2020 Jakub Bogusz <qboosh@pld-linux.org> ee4c22c
- updated to 1.1.0 (20200505)

* Sun Mar 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 78ce0d3
- updated to 1.0-20190731 (note: new soname)

* Wed Jun 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 2edbef4
- new Source URL, updated to 0.5.20150702 (epoch 1)
- .pc file has been introduced, drop .la

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 605a2d3
- x32 rebuild
- release 3 (by relup.sh)

* Mon Jul 01 2013 Marcin Krol <hawk@tld-linux.org> 7a6ca47
- release 2 (by relup.sh)

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 1ac5466
- avoid g++ requirement

* Thu Oct 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 5a0306b
- new

